Player = class(Creature)

function Player:__init(name, image)
  self[Creature]:__init(image)
  self[Creature]:setName(name)
  
  self.x = 0
  self.y = 0
  
  self[Creature].w = 16
  self[Creature].h = 19
  
  self.viewx = (love.graphics.getWidth() / 2)
  self.viewy = (love.graphics.getHeight() / 2)
  
  self.summons = {}
  
  self.debug = {}
  self.debug.canwalk = true
  
end

function Player:draw()
  if self[Creature].drawmode == 2 then
    love.graphics.draw(self[Creature].image, self[Creature].quads[self[Creature].quadid], self.viewx, self.viewy)
  else
    love.graphics.draw(self[Creature].image, self.viewx, self.viewy)
  end
end

function Player:OnThink()
  
end

function Player:move(x, y)
  --[[if not self[Creature]:canWalk(self.x + x, self.y + y) then
    self.debug.canwalk = false
    return
  end--]]
  self.debug.canwalk = true
  if x ~= 0 then
    self.x = self.x + x    
  end
  
  if y and y ~= 0 then
    self.y = self.y + y
  end
  
end

function Player:setPosition(x, y)
  self.x = x
  self.y = y
  
end

function Player:getPosition()
  return {x = self.x, y = self.y}
end

function Player:getX()
  return self.x
end

function Player:getY()
  return self.y
end

function Player:renewView(t)
  
  if t == "x" or not t then
    self.viewx = (love.graphics.getWidth() / 2)
  end
    
  if t == "y" or not t then
    self.viewy = (love.graphics.getHeight() / 2)
  end
  
end